package com.ruoyi.project.plant.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 目标措施对象 t_targetmeasures
 *
 * @author ruoyi
 * @date 2021-07-05
 */
public class TTargetmeasures extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 目标列表ID */
    @Excel(name = "目标列表ID")
    private Long targetlistId;

    /** 方案/行动计划/措施 */
    @Excel(name = "方案/行动计划/措施")
    private String measures;

    /** 负责人 */
    @Excel(name = "负责人")
    private String responsible;

    /** 计划完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "计划完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedDate;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private String deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 负责人数量 */
    private int responsiblesNum;

    /** 第一季度 */
    @Excel(name = "第一季度")
    private String firstquarter;

    /** 第二季度 */
    @Excel(name = "第二季度")
    private String halfyear;

    /** 第三季度 */
    @Excel(name = "第三季度")
    private String threequarter;

    /** 第四季度 */
    @Excel(name = "第四季度")
    private String annual;

    /** 第一季度状态 */
    @Excel(name = "第一季度状态")
    private String firstquarterStatus;

    /** 第二季度状态 */
    @Excel(name = "第二季度状态")
    private String halfyearStatus;

    /** 第三季度状态 */
    @Excel(name = "第三季度状态")
    private String threequarterStatus;

    /** 第四季度状态 */
    @Excel(name = "第四季度状态")
    private String annualStatus;

    /** 第一季度检查人 */
    @Excel(name = "第一季度检查人")
    private String firstChecker;

    /** 第二季度检查人 */
    @Excel(name = "第二季度检查人")
    private String secondChecker;

    /** 第三季度检查人 */
    @Excel(name = "第三季度检查人")
    private String threeChecker;

    /** 第四季度检查人 */
    @Excel(name = "第四季度检查人")
    private String annualChecker;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setTargetlistId(Long targetlistId)
    {
        this.targetlistId = targetlistId;
    }

    public Long getTargetlistId()
    {
        return targetlistId;
    }
    public void setMeasures(String measures)
    {
        this.measures = measures;
    }

    public String getMeasures()
    {
        return measures;
    }
    public void setResponsible(String responsible)
    {
        this.responsible = responsible;
    }

    public String getResponsible()
    {
        return responsible;
    }
    public void setExpectedDate(Date expectedDate)
    {
        this.expectedDate = expectedDate;
    }

    public Date getExpectedDate()
    {
        return expectedDate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(String deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public int getResponsiblesNum() { return responsiblesNum; }

    public void setResponsiblesNum(int responsiblesNum) { this.responsiblesNum = responsiblesNum; }
    public void setFirstquarter(String firstquarter) { this.firstquarter = firstquarter; }

    public String getFirstquarter() { return firstquarter; }
    public void setHalfyear(String halfyear) { this.halfyear = halfyear; }

    public String getHalfyear() { return halfyear; }
    public void setThreequarter(String threequarter) { this.threequarter = threequarter; }

    public String getThreequarter() { return threequarter; }
    public void setAnnual(String annual) { this.annual = annual; }

    public String getAnnual() { return annual; }
    public void setFirstquarterStatus(String firstquarterStatus) { this.firstquarterStatus = firstquarterStatus; }

    public String getFirstquarterStatus() { return firstquarterStatus; }
    public void setHalfyearStatus(String halfyearStatus) { this.halfyearStatus = halfyearStatus; }

    public String getHalfyearStatus() { return halfyearStatus; }
    public void setThreequarterStatus(String threequarterStatus) { this.threequarterStatus = threequarterStatus; }

    public String getThreequarterStatus() { return threequarterStatus; }
    public void setAnnualStatus(String annualStatus) { this.annualStatus = annualStatus; }

    public String getAnnualStatus() { return annualStatus; }
    public void setFirstChecker(String firstChecker) { this.firstChecker = firstChecker; }

    public String getFirstChecker() { return firstChecker; }
    public void setSecondChecker(String secondChecker) { this.secondChecker = secondChecker; }

    public String getSecondChecker() { return secondChecker; }
    public void setThreeChecker(String threeChecker) { this.threeChecker = threeChecker; }

    public String getThreeChecker() { return threeChecker; }
    public void setAnnualChecker(String annualChecker) { this.annualChecker = annualChecker; }

    public String getAnnualChecker() { return annualChecker; }

    @Override
    public String toString() {
        return "TTargetmeasures{" +
                "id=" + id +
                ", targetlistId=" + targetlistId +
                ", measures='" + measures + '\'' +
                ", responsible='" + responsible + '\'' +
                ", expectedDate=" + expectedDate +
                ", delFlag=" + delFlag +
                ", createrCode='" + createrCode + '\'' +
                ", createdate=" + createdate +
                ", updaterCode='" + updaterCode + '\'' +
                ", updatedate=" + updatedate +
                ", deptId='" + deptId + '\'' +
                ", deptName='" + deptName + '\'' +
                ", remarks='" + remarks + '\'' +
                ", responsiblesNum=" + responsiblesNum +
                ", firstquarter='" + firstquarter + '\'' +
                ", halfyear='" + halfyear + '\'' +
                ", threequarter='" + threequarter + '\'' +
                ", annual='" + annual + '\'' +
                ", firstquarterStatus='" + firstquarterStatus + '\'' +
                ", halfyearStatus='" + halfyearStatus + '\'' +
                ", threequarterStatus='" + threequarterStatus + '\'' +
                ", annualStatus='" + annualStatus + '\'' +
                ", firstChecker='" + firstChecker + '\'' +
                ", secondChecker='" + secondChecker + '\'' +
                ", threeChecker='" + threeChecker + '\'' +
                ", annualChecker='" + annualChecker + '\'' +
                '}';
    }
}
